Class Fox::FXDirBox

In: | FXDirBox.rb
Parent: | FXTreeListBox

Directory Box

### Events

The following messages are sent by FXDirBox to its target:

`SEL_CHANGED`: | sent when the current item changes; the message data is the new current directory.
`SEL_COMMAND`: | sent when the current item changes; the message data is the new current directory.

Methods

new

Attributes

directory | [RW] | Current directory [String]

Public Class methods

new(p, nvis, tgt=nil, sel=0, opts=FRAME_SUNKEN|FRAME_THICK|TREELISTBOX_NORMAL, x=0, y=0, w=0, h=0, pl=DEFAULT_PAD, pr=DEFAULT_PAD, pt=DEFAULT_PAD, pb=DEFAULT_PAD) {|theDirBox| ...}

Constructor